Bug 1659142 - [DOCS] [RFE] Add Ability to Set projectRequestMessage Through Inventory Variable
Summary: [DOCS] [RFE] Add Ability to Set projectRequestMessage Through Inventory Variable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.0
Assignee: Kathryn Alexander
QA Contact: Weihua Meng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 16:43 UTC by Jack Ottofaro
Modified: 2019-06-18 16:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 16:47:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 1659141 None None None 2019-06-24 11:05:53 UTC

Description Jack Ottofaro 2018-12-13 16:43:24 UTC
Description of problem:

Support setting projectRequestMessage through a playbook variable that can be referenced in an inventory file.

Customer feels the current method of requiring an administrator to manually modify master-config.yaml and restart api services to be cumbersome.

Comment 1 Jack Ottofaro 2018-12-13 16:46:52 UTC
Related to bug 1659141.

Comment 6 Jack Ottofaro 2019-04-11 14:47:40 UTC
Re-opening as a documentation bug. Document use of setting osm_project_request_message variable in the inventory file.

Comment 7 Jack Ottofaro 2019-05-08 18:39:21 UTC
Any updates?

Comment 8 Vikram Goyal 2019-05-09 01:31:20 UTC
(In reply to Jack Ottofaro from comment #7)
> Any updates?

As soon as 4.1 is out. :)

Comment 15 Kathryn Alexander 2019-06-07 19:05:18 UTC
The PR's here: https://github.com/openshift/openshift-docs/pull/15265

Jianlin, will you PTAL? The values are based on the information from https://docs.openshift.com/container-platform/3.11/install_config/master_node_configuration.html#master-node-config-project-config

Comment 16 Weihua Meng 2019-06-12 07:01:15 UTC
LGTM.

Comment 17 Kathryn Alexander 2019-06-12 14:48:00 UTC
I'm waiting for a peer review before I merge.


Note You need to log in before you can comment on or make changes to this bug.